List payment invoices
curl --request GET \
--url https://business.planewallet.org/api/v1/card-account/invoices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/card-account/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/card-account/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"environment": "<string>",
"status": "creating",
"depositAmount": "100.00",
"fee": "1.50",
"creditAmount": "98.50",
"address": "<string>",
"payAmount": "100.000123",
"asset": "<string>",
"network": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>"
}Balance
List card account invoices
Required permission: balance:read. Sandbox is isolated from live funds. Live integration availability is checked server-side.
GET
/
api
/
v1
/
card-account
/
invoices
List payment invoices
curl --request GET \
--url https://business.planewallet.org/api/v1/card-account/invoices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/card-account/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/card-account/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"environment": "<string>",
"status": "creating",
"depositAmount": "100.00",
"fee": "1.50",
"creditAmount": "98.50",
"address": "<string>",
"payAmount": "100.000123",
"asset": "<string>",
"network": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>"
}